# mmWave Sensing Estimator

This is the TI Gallery APP for calculating chirp configuration based on scene parameters.  It enables rapid prototyping of the chirp through real-time feedback of the chirp configuration and out of bounds checking.

See the Release Note section below for latest capabilities.


## Getting Started

**<a href="app/mmwave_sensing_estimator_qsg.pdf" target="_blank">Step-by-Step Quick Start Guide</a>**

## Basic Tab
mmWave Sensing Estimator BASIC TAB comes with sensible default start values for various usecases.  Selecting one will generate a valid chirp configuration for the available devices.

Starting from the default values selected in the Desired Config dropdown, the Scene Parameter can be adjusted to your application.  Output and Chirp Design values will adjust in real-time based on your inputs.

If any parameters are out of bounds for the selected device, the parameters will be highlighted in red.  An error and tips for adjusting will be shown in the output box.

If all values are correct, the corresponding CLI Commands will be displayed in the console. These commands can be copy and pasted into an existing config file manually, or added to the OOB Config automatically by clicking SAVE CONFIG.
You can also click SEND TO CHIRP DESIGN to send the CLI commands to the advanced tab for further tuning

The Estimator provides convenient capability to save the parameters and reload them from local storage.  This will enable you to save your work and reload in the future when you continue your chirp design.

## Chirp Design and Tuning Tab
mmWave Sensing Estimator ADVANCED TAB provides complete fine-grained chirp tuning capabilities. To populate the cells of the Configuration Input box, either copy and paste a config into the Configuration I/O box and hit auto populate, or
click LOAD CONFIG and select a file.

You can then edit and tune the commands and error checking with recommended fixes will be performed, like on the BASIC tab. 

If no errors are present, the valid tuned CLI Commands are displayed in the CLI Commands box. You can also then click SAVE CONFIG which, unlike the BASIC tab which injects the tuned CLI commands into the OOB Demo, injects the tuned CLI commands
back into the file present in the Configuration I/O box.

For explanation of each parameter, please see the User&apos;s Guide. 

## Power Tab

The Power tab provides an estimated power usage given specific chirp parameters. Estimates provided are within +/- 12% of preliminary measurements taken at nominal tempearute (12deg C). This tab allows you to modify the relevant chirp parameters and see the impact of said change on the device's power consumption. Hover over input fields for tool tips to help you use this tool. Currently, only 6432 and 1432 devices are supported.

### Chirp Parameters 

Enter in high-level parameter information that is relevant to power consumption to get an estimate on power usage. For 6432 and 1432 devices, you can import the parameters from the Advanced Tab via the Send to Advanced button.


## Release Notes

### Version 2.3
* Added 1432 support for all three tabs of the tool.

### Version 2.2 
* Added quality-of-life improvements and corrected backend calculations.

### Version 2.1
* Added 'Power Estimator' tab to calculate power usage for IWRL6432

### Version 2.0
* Overhauled the existing tool to make it more beginner friendly and packaged it into the "Basic Chirp Creation and Design" tab.
* Added the "Chirp Design and Tuning" tab for much more thorough chirp tuning capabilities.

### Version 1.4
* Added support for the latest 76-81GHz device family - AWR2243
* For long range AWR2243 it uses all Tx together instead of MIMO to get higher TX-Power.
* Minor bug fixes for JSON file generation to match with mmWave Studio tool.

### Version 1.3

* Added support for latest 60 - 64GHz device family - IWR6843
* Added support for latest 76 - 81GHz device family - AWR1843
* Added support for standard JSON config format supported mmWave Studio and Estimator

### Version 1.2

* Added chirp diagram for easier visualization of the chirp configuration parameters
* Enabled inputs directly through URL
 * For example: dev.ti.com/mmWaveSensingEstimator?range=20&velocity=25
* Added download link for offline version inside the Sensing Estimator
* Organized the Sensing Estimator output view into front-end input parameters and information only parameters
* Renamed front-end input parameters to match Radar Studio
* Fixed bugs:
 * Sensing Estimator uses incorrect I/F bandwidth and Sample Rate for AWR1443
 * Inconsistent detectable range calculation in Sensing Estimator for Custom RCS

### Version 1.1

* Improved calculation of Idle Time and ADC Valid Start Time to find the optimum value for the input parameters.  This significantly improves max velocity and offer more valid chirp parameters.
* Fixed a bug in the active frame time calculation that was resulting in too high of active frame time.
* Fixed the check for maximum measurement rate by checking against 100% duty cycle instead of 50%.  Device is capable of 100% duty cycle, but attention should be paid to the head dissipation design.
* Improved memory checking to validate against production device memory where firmware is stored in ROM instead of RAM - increasing available memory by 128KB.
* Adjusted Transmit/Receive Antenna Gain to match EVM @ 9 dB.
* Adjusted Detection Loss default to 1 dB.

### Version 1.0

* Initial web-release of the mmWave Sensing Estimator
* Implemented basic scene parameters to chirp configuration conversion based on radar range equations
* Implemented out of bounds checking based on device capabilities